View Issue Details

IDProjectCategoryView StatusLast Update
0024378mantisbtscriptingpublic2018-06-06 00:39
ReporterpolliwogAssigned Toatrol 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionno change required 
Product Version2.13.1 
Target VersionFixed in Version 
Summary0024378: How can I change reporter_id to reporter's real name in Issue report page?
Description

My client want to change reporter_id field to show reporter's real name.
I changed to show real name when mouse cursor is over reporter id, but he wants to change field to show real name.

I need to know where and how to change that.

Thank you.

TagsNo tags attached.

Relationships

related to 0024139 closedatrol $g_show_realname for making usernames private 

Activities

atrol

atrol

2018-04-29 08:52

developer   ~0059702

reporter's real name in Issue report page

I don't understand what you mean with this.
There is not any reporter id or reporter name shown on issue report page.

atrol

atrol

2018-05-10 12:41

developer   ~0059755

polliwog,

You did not provide any feedback; I am therefore resolving this issue as "no change required".

Feel free to reopen the issue at a later time and provide the requested information.

mahindra

mahindra

2018-05-11 12:35

reporter   ~0059771

Last edited: 2018-05-11 12:39

View 2 revisions

This is similar to 0024139
Our security policy prohibits the direct mention of usernames in mails and guis, so we stuck to 2.11.1. until 0024139 is finished.

mahindra

mahindra

2018-05-12 15:23

reporter   ~0059773

Last edited: 2018-05-19 05:33

View 2 revisions

Dear mantisbt Team,

I'm sorry to say this, but this is a showstopper or Blocker, please built this back to the functionality in 2.11.1
Best regards,

Karl

mahindra

mahindra

2018-05-19 05:34

reporter   ~0059855

Last edited: 2018-05-19 05:38

View 3 revisions

The reason for this misdirection is - how to add users monitoring a ticket:
<<<The real solution to add users to a ticket is a drop down list like 0012557 >>>
If Realname is on - it shows realnames like Mantis before 2.12 in every User field
If Realname is off - it Shows the User ID

Similar to the filter selection for user
Simple and clean
Please go in this direction and delete 0023375 go back to the previous solution in visualization Realnames up to version 2.11.1 this was clean and improve adding a user to a ticket with a drop-down list

You are moving in circle with 0024436, 0024435 and all the other IDs currently

In order to see this topic you have to work in the corresponding representation - only user ID or only real name instead of user ID - then it is easy to understand

0024436 on hold please, 0023375, 0024435, 0024378, 0024087

Have a look at this the ID is visable with Realname=ON
This is like Realname off - and does not meet with usability or security guidlines if you have to do a mousover to see the realname while the user-ID is in front and visible



mahindra

mahindra

2018-05-19 05:35

reporter   ~0059856

@polliwog please reopen your ticket

mahindra

mahindra

2018-05-22 03:12

reporter   ~0059911

Last edited: 2018-05-22 03:13

View 3 revisions

Thanks to atrol, this is solved in 0024139:0059859.

If we get that in release 2.15, we have a solution, a compromise and a basis for further development.

vboctor please wave 0024139:0059859 through!

mahindra

mahindra

2018-05-31 01:27

reporter   ~0059984

Many thanks to atrol and the mantisbt-Team that we got a solution in 2.15 it was a good Job!

Issue History

Date Modified Username Field Change
2018-04-26 21:52 polliwog New Issue
2018-04-29 08:52 atrol Status new => feedback
2018-04-29 08:52 atrol Note Added: 0059702
2018-05-10 12:41 atrol Assigned To => atrol
2018-05-10 12:41 atrol Status feedback => resolved
2018-05-10 12:41 atrol Resolution open => no change required
2018-05-10 12:41 atrol Note Added: 0059755
2018-05-11 12:35 mahindra Note Added: 0059771
2018-05-11 12:39 mahindra Note Edited: 0059771 View Revisions
2018-05-11 13:32 atrol Relationship added related to 0024139
2018-05-12 15:23 mahindra Note Added: 0059773
2018-05-19 05:33 mahindra Note Edited: 0059773 View Revisions
2018-05-19 05:34 mahindra File Added: userid visible realname on (2).png
2018-05-19 05:34 mahindra File Added: userid visible realname on.png
2018-05-19 05:34 mahindra Note Added: 0059855
2018-05-19 05:35 mahindra Note Added: 0059856
2018-05-19 05:38 mahindra Note Edited: 0059855 View Revisions
2018-05-19 05:38 mahindra Note Edited: 0059855 View Revisions
2018-05-22 03:12 mahindra Note Added: 0059911
2018-05-22 03:12 mahindra Note Edited: 0059911 View Revisions
2018-05-22 03:13 mahindra Note Edited: 0059911 View Revisions
2018-05-31 01:27 mahindra Note Added: 0059984
2018-06-06 00:39 vboctor Status resolved => closed